package com.auth.common.model.common;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
@Schema(name = "BaseDto", title = "基础分页请求")
public class BasePageDto {

    @Schema(name = "pageIndex", title = "当前页")
    private Integer pageIndex;

    @Schema(name = "pageSize", title = "分页大小")
    private Integer pageSize;

}
