package com.auth.model.base.dto;

import com.auth.common.model.common.BasePageDto;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;

@EqualsAndHashCode(callSuper = true)
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
@Schema(name = "RoleDataScopeDTO-系统角色数据权限范围传输对象", title = "系统角色数据权限范围", description = "系统角色数据权限范围的DTO对象")
public class RoleDataScopeDto extends BasePageDto {

    @Schema(name = "roleId", title = "角色ID")
    private Long roleId;

    @Schema(name = "deptId", title = "部门ID")
    private Long deptId;

}